<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_bg"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:scaleY="1.5"
        android:src="@mipmap/ic_guide_item5_bg"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_star1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:src="@mipmap/ic_guide_item5_star"
        android:translationY="125dp"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_star2"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:rotation="180"
        android:src="@mipmap/ic_guide_item5_star"
        app:layout_constraintBottom_toBottomOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_earth"
        android:layout_width="586dp"
        android:layout_height="567dp"
        android:src="@mipmap/ic_guide_item5_earth"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="parent" />

    <View
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@mipmap/ic_guide_item5_mask" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_info"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/dp_65"
        android:visibility="invisible"
        app:layout_constraintBottom_toTopOf="@id/progressBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        tools:visibility="visible">

        <LinearLayout
            android:id="@+id/layout_city"
            android:layout_width="@dimen/dp_180"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_35"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_search"
                android:layout_width="@dimen/dp_40"
                android:layout_height="@dimen/dp_40"
                android:src="@mipmap/ic_guide_item5_search"
                app:layout_constraintBottom_toBottomOf="@id/viewFlipper"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/viewFlipper" />

            <AdapterViewFlipper
                android:id="@+id/viewFlipper"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_50"
                android:autoStart="true"
                android:flipInterval="500"
                android:inAnimation="@animator/anim_vf_in"
                android:loopViews="true"
                android:outAnimation="@animator/anim_vf_out"
                app:layout_constraintStart_toEndOf="@id/iv_search"
                app:layout_constraintTop_toTopOf="parent" />
        </LinearLayout>

        <com.yy.mobile.rollingtextview.RollingTextView
            android:id="@+id/tv_bid_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:text="00000"
            android:textColor="@color/white"
            android:textSize="44sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_city"
            app:layout_constraintWidth_min="@dimen/dp_140" />

        <TextView
            android:id="@+id/tv_unit"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_5"
            android:layout_marginBottom="@dimen/dp_10"
            android:text="条"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/tv_bid_count"
            app:layout_constraintStart_toEndOf="@id/tv_bid_count" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_industry"
            android:layout_width="@dimen/dp_100"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_bid_count"
            tools:listitem="@layout/listitem_guide_item5_industry" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ProgressBar
        android:id="@+id/progressBar"
        style="@style/Widget.AppCompat.ProgressBar.Horizontal"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_10"
        android:layout_marginStart="@dimen/dp_38"
        android:layout_marginEnd="@dimen/dp_38"
        android:layout_marginBottom="@dimen/dp_60"
        android:elevation="@dimen/dp_1"
        android:progressDrawable="@drawable/layer_guide_item5_progress"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_progress_mask"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="-5dp"
        android:scaleType="fitXY"
        android:src="@mipmap/ic_guide_item5_progress_start"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="@id/progressBar"
        app:layout_constraintStart_toStartOf="@id/progressBar"
        app:layout_constraintTop_toBottomOf="@id/progressBar"
        tools:visibility="visible" />

    <org.libpag.PAGImageView
        android:id="@+id/pagView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="invisible" />

    <TextView
        android:id="@+id/tv_progress_status"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_14"
        android:fontFamily="sans-serif-medium"
        android:text="采集引擎启动中...."
        android:textColor="@color/white"
        android:textSize="@dimen/sp_14"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/progressBar" />

</androidx.constraintlayout.widget.ConstraintLayout>